Bug 162880 - enable left handed mouse
enable left handed mouse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-11 00:16 EDT by dann
Modified: 2008-08-27 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 13:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2005-07-11 00:16:40 EDT
Description of problem:
The mouse button order cannot be changed during installation so if one uses a
left handed mouse it is a bit hard to use. 

There could be at least 2 solutions: 
- add a configuration option early in the process to allow the use of a
left-hande mouse 
- the left mouse  button is not used at all, all the actions could be bound to
both buttons, so it would work for any mouse...
Comment 1 Jeremy Katz 2005-07-12 11:24:18 EDT
A configuration option is less than ideal because either it wouldn't be
translated or its after language selection when people would have had to figure
out the mouse anyway.  The second option of making the right mouse button also
work is more interesting, although I'm not sure how feasible it is.  Sticking it
on the FC5Target list at least to do a more complete investigation of the
feasibility.  If we have to do something custom around every widget, it's
probably a non-starter, but if we can find a trick to not require that, then
we'll see.
Comment 2 dann 2005-08-18 17:54:24 EDT
Does the graphical version of anaconda use X? (I have no idea...)
If yes, then just doing 
xmodmap -e 'pointer = 1 2 1" 
(or something of the sort) would make both the left and right mouse buttons
behave like the left mouse button. 
This is sort of a hack, but it should work.
Comment 3 Christian Iseli 2007-01-22 05:44:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 dann 2007-01-22 12:38:14 EST
(In reply to comment #3)
> This report targets the FC3 or FC4 products, which have now been EOL'd.
> 
> Could you please check that it still applies to a current Fedora release, and
> either update the target product or close it ?

It still applies to FC5. I do not have FC6. 
Comment 5 Red Hat Bugzilla 2007-06-11 22:52:34 EDT
requested by Jams Antill
Comment 6 petrosyan 2008-02-17 19:16:32 EST
Fedora Core 5 and Fedora Core 6 are no longer maintained.

Is this bug still present in Fedora 8?
Comment 7 dann 2008-02-18 22:10:20 EST
(In reply to comment #6)
> Fedora Core 5 and Fedora Core 6 are no longer maintained.
> 
> Is this bug still present in Fedora 8?

AFAIR from the time I installed F8 (the day after it came out) it was still present.
I can't test this at the moment to double check.
Comment 8 Joel Andres Granados 2008-05-07 08:25:11 EDT
(In reply to comment #0)

> - the left mouse  button is not used at all, all the actions could be bound to
> both buttons, so it would work for any mouse...

Dont think this is a good idea as we use the other mouse button in the package
selection to show an extra menu.

Comment 9 Andy Lindeberg 2008-08-27 13:02:18 EDT
I don't think we're going to add this to anaconda, but we'll look at any patches submitted.

Note You need to log in before you can comment on or make changes to this bug.